Bug 197329 - graphics/dcraw-m: will not build under modern gcc due to explicit -Werror flag
Summary: graphics/dcraw-m: will not build under modern gcc due to explicit -Werror flag
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-04 18:45 UTC by John Marino
Modified: 2015-02-18 08:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (waitman)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2015-02-04 18:45:38 UTC
If a newer gcc is used to build dcraw-m, it fails:


dcraw-m.c: In function 'parse_phase_one':
dcraw-m.c:6462:26: error: variable 'type' set but not used [-Werror=unused-but-set-variable]
cc1: all warnings being treated as errors
*** Error code 1


due to this line in the makefile:

CFLAGS +=       -Wall -Werror -I${LOCALBASE}/include \



It's pretty much a standing order to *REMOVE* -Werror flags, for exactly this reason.  IMO, it should have been removed before the port was imported last year.  Is there a specific reason for it to be here?  If not, I'll remove it ASAP.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-04 18:45:38 UTC
Maintainer CC'd
Comment 2 John Marino freebsd_committer 2015-02-12 09:18:27 UTC
anyone there?
Comment 3 John Marino freebsd_committer 2015-02-16 08:08:35 UTC
background: -Werror was added intentionally by bug 194775

This shouldn't have passed, but the PR was submitted as a shar instead of a patch  and a new submission was not given despite an explicit request for a patch.  Rene eventually "accepted" the shar.  The Werror came in then.

This PR times out in 2 days.  Nobody has heard from Walt since 3 Nov 2014.
Comment 4 commit-hook freebsd_committer 2015-02-18 08:57:05 UTC
A commit references this bug:

Author: marino
Date: Wed Feb 18 08:56:50 UTC 2015
New revision: 379203
URL: https://svnweb.freebsd.org/changeset/ports/379203

Log:
  graphics/dcraw-m: Remove -Werror to restore build on DF

  With gcc47+, variable 'type' is set but not used, which generates warning.
  The -Werror flag should never be set in ports.

  PR:		197329
  Submitted by:	marino@
  Approved by:	maintainer timeout

Changes:
  head/graphics/dcraw-m/Makefile